<?session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("calendario/calendario.php");
include ("fphp.php");
$enlace=cargar_conexion();
$cedula=($_POST['cedula']==''?$_REQUEST['cedula']:$_POST['cedula']);
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 

////////////////////////////////// grabando
if ($_POST['monto']!=0 && $_POST['monto']!='' && $_POST['fecing']!='') {
		$_POST['monto']=$_POST['monto']+0;
		$fing = crear_fecha($_POST['fecing']);
		/*$consultax="select * from personal_sueldo where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' and fec='".$fing."'";
		$resultadox = mysqli_query($enlace,$consultax) or die($consultax . mysqli_error($enlace));
		if (mysqli_num_rows($resultadox)==0) {
				$query = "insert into personal_sueldo  ( id, codigo, fec, sueldo) values('".$_SESSION['id_validar']."','".$cedula."', '".$fing."', '".$_POST['monto']."') ";
				$consultay = mysqli_query($enlace,$query) or die ("no se pudo ingresar los datos...".mysqli_error($enlace).$query);
		} else {
				$query = "update personal_sueldo  set sueldo='".$_POST['monto']."' where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' and fec='".$fing."'";
				$consultay = mysqli_query($enlace,$query) or die ("no se pudo ingresar los datos...".mysqli_error($enlace).$query);
		}*/
		$consulta = "update personal set smes=".$_POST['monto']." where id='".$_SESSION['id_validar']."' and codigo='".$cedula."'";
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$mensaje='Actualizado...';
} else $mensaje='Ingrese Monto del Nuevo Sueldo y Fecha del Aumento...';	

menu();
echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='images/b_regresa.png' alt='Regresar'>:<a href='archivo_trabajador.php'>Regresar</a>";
echo "<hr><h2>Actualizaci&oacute;n de Cambio de Sueldos</h2>";

$consulta="select smes,nombres,nombres1,apellidos,apellidos1 from personal where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' ";
$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
$num_rows = mysqli_num_rows($resultado);
$row=mysqli_fetch_array($resultado);

echo "<center><img src='img2/administrator.png'><font color=black size=5>&nbsp;".trim($row['nombres'])." ".trim($row['nombres1']).' '.trim($row['apellidos'])." ".trim($row['apellidos1'])."</font></center><br>";

echo "<form name='entrada' action='".$_SERVER['PHP_SELF']."' method='POST' enctype='multipart/form-data'>";
echo "<input type = 'hidden' name = 'graba' value = '1'>";
echo "<input type = 'hidden' name = 'cedula' value = '".$cedula."'>";
echo "<table align='center'>";
			echo "<tr >";
				echo "<td align='righta'>Sueldo Actual?:</td>";
				echo "<td align='left'><input style='width:300px;' name='smes' size = '35' maxlength = '10' value='".$row['smes']."' readonly></td></tr>";
			echo "</tr>";
			echo "<tr >";
				echo "<td align='righta'>Monto Nuevo?:</td>";
				echo "<td align='left'><input style='width:300px;' name='monto' size = '35' maxlength = '10'></td></tr>";
			echo "</tr>";
			echo "<tr >";
				echo "<td align = 'righta' > Fecha del Aumento: </td>";
				echo "<td align = 'left'>";
						$valor = date("dmY");
						escribe_formulario_fecha_modifica("fecing","entrada",$valor);
				echo "</td>";
			echo "</tr>";
			echo "<tr><td colspan='4' align='center'>";
				echo "<input name='ver' type='submit' style='margin-left:5px; height:35px; width:300px' value='Procesar Actualizacion' onClick='return validar_grabar();'>";
			echo "</td></tr>";	
	echo "</table></form></font>";
	if ($mensaje!='') echo "<center><font style='color:red; font-size:1em;' face='Verdana' ><b>".$mensaje."</b></font></center>";	
?>
		
	</body>
</html>